Subject: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Jul 2015 18:24:50 +0300

[Please keep the bug address on the CC list.]

> From: Mark Karpov <[email-masked]>
> Date: Wed, 01 Jul 2015 13:08:09 +0600
> 
> 
> 1. emacs -Q
> 
> 2. Open some directory in Dired.
> 
> 3. Invoke shell or Emacs shell. Now I think this bug is most likely
>    happens when directory is changed in an automated way (maybe I'm
>    mistaken). Personally I use a script that transforms some files
>    (script written in Python, splits music files according to CUE file +
>    some magic, but it doesn't really matter). That means that some files
>    are created and old files are deleted.
> 
> 4. Once I press C-m or Enter, there are two possible cases (each having
>    about 50 % probability): either all changes are reflected in Dired
>    buffer (that's in other window, window in Emacs sense of the word),
>    or all the changes go invisible and I have to switch to Dired buffer
>    and press g to see results.

Are all of the changes in the same directory?

Also, can you show the list of changes that script does in a single
invocation, in terms of how many files are created, how many deleted,
and in which order?